/* 
 * Copyright 2000 by Jarle (jgaa) Aase mailto:jgaa@jgaa.com
 * All rights reserved 
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Jarle (jgaa) Aase
 * 4. The name of Jarle Aase may not be used to endorse or promote products 
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY JARLE (JGAA) AASE  ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL JARLE AASE BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */


#include <stdio.h>

extern char *myname;

void usage(char *bad_arg, char *explain) 
{
  if (bad_arg)
    fprintf(stderr, "%s: Unknown argument %s\n", myname, bad_arg);
  if (explain)
    fprintf(stderr, "%s: %s\n", myname, explain);

  fprintf(stderr, "Use: %s --help for help\n", myname);

  exit(-1);
}

void show_help(void) 
{
  printf(
"Usage: %s [options] file [file ...]\n"
"   --verbose      Show more verbose information\n"
"   --ignore-8bit  Ignore 8-bit characters in headers\n"
"   --stop-at-nul  Give up if NUL (0) characters are fund\n"
"-h --help         Show this help\n"
"-v --version      Show version\n"
"   --debug        Debug mode\n",
myname);
  exit(1);
}
